biuro@zwcad.pl

sssetfirst

Wyszukaj w słowniku

Dostępne słowniki:

Termin Definicja
sssetfirst

Zaznacza obiekty

przykład:

(defun GetModelspace ( / )
    (vla-get-Modelspace (vla-get-activedocument (vlax-get-acad-object) ) )
)


(defun Zaznacz ( InList / )
  (setq SelSet (ssadd))
  (setq i 0)
  (while (< i (length InList))
    (setq ent ( vlax-vla-object->ename (nth i InList ) ) )
    (ssadd ent SelSet)
    (setq i (1+ i))
  )
  (sssetfirst nil SelSet )
)

(setq linia (vlax-invoke-method (GetModelspace) 'AddLine (vlax-3d-point (list 100 10 0 ) ) (vlax-3d-point (list 200 10 0 ) )) )
(setq okrag (vlax-invoke-method (GetModelspace) 'AddCircle (vlax-3d-point (list 150 10 0 ) ) 40 ) )


(Zaznacz (list linia okrag) )

 

Sprawdzić co jest zaznaczone możemy funkcją ssgetfirst